Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.scanner.dtd
Class XmlNames

    java.lang.Object
      com.sun.msv.scanner.dtd.XmlNames

public class XmlNames
extends java.lang.Object

This class contains static methods used to determine whether identifiers may appear in certain roles in XML documents. Such methods are used both to parse and to create such documents.

Version:
  1.1, 00/08/05
Author:
  David Brownell

Method Summary
`static boolean` | `isName(java.lang.String value)` Returns true if the value is a legal XML name.
`static boolean` | `isNCNmtoken(java.lang.String token)` This method returns true if the identifier is a "name token" as defined by the XML Namespaces proposed recommendation.
`static boolean` | `isNmtoken(java.lang.String token)` This method returns true if the identifier is a "name token" as defined in the XML specification.
`static boolean` | `isQualifiedName(java.lang.String value)` Returns true if the value is a legal "qualified" XML name, as defined in the XML Namespaces proposed recommendation.
`static boolean` | `isUnqualifiedName(java.lang.String value)` Returns true if the value is a legal "unqualified" XML name, as defined in the XML Namespaces proposed recommendation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isName

    public static boolean isName(java.lang.String value)

  Returns true if the value is a legal XML name.

  Parameters:
    `value` - the string being tested

### isUnqualifiedName

    public static boolean isUnqualifiedName(java.lang.String value)

  Returns true if the value is a legal "unqualified" XML name, as defined in the XML Namespaces proposed recommendation. These are normal XML names, except that they may not contain a "colon" character.

  Parameters:
    `value` - the string being tested

### isQualifiedName

    public static boolean isQualifiedName(java.lang.String value)

  Returns true if the value is a legal "qualified" XML name, as defined in the XML Namespaces proposed recommendation. Qualified names are composed of an optional prefix (an unqualified name), followed by a colon, and a required "local part" (an unqualified name). Prefixes are declared, and correspond to particular URIs which scope the "local part" of the name. (This method cannot check whether the prefix of a name has been declared.)

  Parameters:
    `value` - the string being tested

### isNmtoken

    public static boolean isNmtoken(java.lang.String token)

  This method returns true if the identifier is a "name token" as defined in the XML specification. Like names, these may only contain "name characters"; however, they do not need to have letters as their initial characters. Attribute values defined to be of type NMTOKEN(S) must satisfy this predicate.

  Parameters:
    `token` - the string being tested

### isNCNmtoken

    public static boolean isNCNmtoken(java.lang.String token)

  This method returns true if the identifier is a "name token" as defined by the XML Namespaces proposed recommendation. These are like XML "name tokens" but they may not contain the "colon" character.

  Parameters:
    `token` - the string being tested
  See Also:
    `isNmtoken(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD